<?xml version="1.0" encoding="utf-8"?>
<?taxonomy-generator id="PomdocPro" version="2023" date="2026-03-27 14:56:14"?>
<schema attributeFormDefault="unqualified" elementFormDefault="qualified"
  targetNamespace="http://www.totalenergies.com/20251231"
  xmlns:xl="http://www.xbrl.org/2003/XLink"
  xmlns:xbrli="http://www.xbrl.org/2003/instance"
  xmlns="http://www.w3.org/2001/XMLSchema"
  xmlns:types="http://www.xbrl.org/dtr/type/2022-03-31"
  xmlns:gen="http://xbrl.org/2008/generic"
  xmlns:lei="http://www.xbrl.org/taxonomy/int/lei/2020-07-02"
  xmlns:tot="http://www.totalenergies.com/20251231"
  xmlns:ifrs-full="https://xbrl.ifrs.org/taxonomy/2024-03-27/ifrs-full"
  xmlns:xbrldt="http://xbrl.org/2005/xbrldt"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xmlns:enum2="http://xbrl.org/2020/extensible-enumerations-2.0"
  xmlns:link="http://www.xbrl.org/2003/linkbase"
  xmlns:xlink="http://www.w3.org/1999/xlink"
  xmlns:esef_cor="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor"
>
  <annotation>
    <appinfo>
      <link:linkbaseRef
        xlink:type="simple"
        xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"
        xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef"
        xlink:href="529900S21EQ1BO4ESM68-2025-12-31_pre.xml"
      />
      <link:linkbaseRef
        xlink:type="simple"
        xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"
        xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef"
        xlink:href="529900S21EQ1BO4ESM68-2025-12-31_def.xml"
      />
      <link:linkbaseRef
        xlink:type="simple"
        xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"
        xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef"
        xlink:href="529900S21EQ1BO4ESM68-2025-12-31_lab-en.xml"
      />
      <link:linkbaseRef
        xlink:type="simple"
        xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"
        xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef"
        xlink:href="529900S21EQ1BO4ESM68-2025-12-31_cal.xml"
      />
      <link:linkbaseRef
        xlink:type="simple"
        xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"
        xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef"
        xlink:href="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor-lab-en.xml"
      />
      <link:linkbaseRef
        xlink:type="simple"
        xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"
        xlink:role="http://www.xbrl.org/2003/role/LinkbaseRef"
        xlink:href="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor-gen-en.xml"
      />
      <link:roleType id="ConsolidatedStatementOfIncome" roleURI="http://www.totalenergies.com/role/ConsolidatedStatementOfIncome">
        <link:definition>1001 - Statement - Consolidated statement of income</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ConsolidatedStatementOfComprehensiveIncome" roleURI="http://www.totalenergies.com/role/ConsolidatedStatementOfComprehensiveIncome">
        <link:definition>1002 - Statement - Consolidated statement of comprehensive income</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ConsolidatedBalanceSheet" roleURI="http://www.totalenergies.com/role/ConsolidatedBalanceSheet">
        <link:definition>1003 - Statement - Consolidated balance sheet</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ConsolidatedStatementOfCashFlow" roleURI="http://www.totalenergies.com/role/ConsolidatedStatementOfCashFlow">
        <link:definition>1004 - Statement - Consolidated statement of cash flow</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ConsolidatedStatementOfChangesInShareholdersEquity" roleURI="http://www.totalenergies.com/role/ConsolidatedStatementOfChangesInShareholdersEquity">
        <link:definition>1005 - Statement - Consolidated statement of changes in shareholders&apos; equity</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ConsolidatedStatementOfIncomeAlternate1" roleURI="http://www.totalenergies.com/role/ConsolidatedStatementOfIncomeAlternate1">
        <link:definition>1006 - Statement - Consolidated statement of income Alternate 1</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Anchoring" roleURI="http://www.totalenergies.com/role/Anchoring">
        <link:definition>Anchoring</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="NotesAccountingPoliciesAndMandatoryTags" roleURI="http://www.totalenergies.com/xbrl/2025//role/NotesAccountingPoliciesAndMandatoryTags">
        <link:definition>00 NotesAccountingPoliciesAndMandatoryTags</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
      </link:roleType>
    </appinfo>
  </annotation>
  <import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" />
  <import namespace="http://xbrl.org/2005/xbrldt" schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd" />
  <import namespace="http://xbrl.org/2020/extensible-enumerations-2.0" schemaLocation="https://xbrl.org/2020/extensible-enumerations-2.0.xsd" />
  <import namespace="http://www.xbrl.org/dtr/type/2022-03-31" schemaLocation="https://www.xbrl.org/dtr/type/2022-03-31/types.xsd" />
  <import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" />
  <import namespace="http://www.xbrl.org/2009/role/negated" schemaLocation="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd" />
  <import namespace="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor" schemaLocation="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor.xsd" />
  <element id="tot_NumberOfTreasurySharesCancelled" name="NumberOfTreasurySharesCancelled" nillable="true" substitutionGroup="xbrli:item" type="xbrli:sharesItemType" xbrli:periodType="duration"/>
  <element id="tot_AdjustmentsForProvisionsAndDeferredTaxExpense" name="AdjustmentsForProvisionsAndDeferredTaxExpense" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="duration"/>
  <element id="tot_ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssets" name="ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssets" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="duration"/>
  <element id="tot_OtherCurrentPayablesAccruedExpensesAndOtherCurrentLiabilities" name="OtherCurrentPayablesAccruedExpensesAndOtherCurrentLiabilities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="instant"/>
  <element id="tot_PurchasesNetOfInventoryVariation" name="PurchasesNetOfInventoryVariation" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="duration"/>
  <element id="tot_RevenueFromContractsWithCustomersExcludingExciseTax" name="RevenueFromContractsWithCustomersExcludingExciseTax" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="duration"/>
  <element id="tot_PaymentForCouponsOnSubordinatedNotes" name="PaymentForCouponsOnSubordinatedNotes" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="duration"/>
  <element id="tot_CostOfDebtNet" name="CostOfDebtNet" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="duration"/>
  <element id="tot_SharePremiumAndRetainedEarnings" name="SharePremiumAndRetainedEarnings" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="instant"/>
  <element id="tot_AdjustmentsForDividendsAndUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod" name="AdjustmentsForDividendsAndUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="duration"/>
  <element id="tot_OtherProvisionsAndNoncurrentLiabilities" name="OtherProvisionsAndNoncurrentLiabilities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="instant"/>
  <element id="tot_InvestmentsAccountedForUsingEquityMethodAndLoansToEquityAffiliates" name="InvestmentsAccountedForUsingEquityMethodAndLoansToEquityAffiliates" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="instant"/>
  <element id="tot_InterestExpenseNetOfHedgeInEffectiveness" name="InterestExpenseNetOfHedgeInEffectiveness" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="duration"/>
  <element id="tot_IncreaseDecreaseThroughIssuanceOfPerpetualSubordinatedNotesEquity" name="IncreaseDecreaseThroughIssuanceOfPerpetualSubordinatedNotesEquity" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="duration"/>
  <element id="tot_ProceedsFromIssueRepaymentOfSubordinatedNotes" name="ProceedsFromIssueRepaymentOfSubordinatedNotes" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="duration"/>
  <element id="tot_IncreaseInNumberOfOrdinarySharesIssued" name="IncreaseInNumberOfOrdinarySharesIssued" nillable="true" substitutionGroup="xbrli:item" type="xbrli:sharesItemType" xbrli:periodType="duration"/>
  <element id="tot_ProceedsFromPaymentsForOtherTransactionsWithNoncontrollingInterests" name="ProceedsFromPaymentsForOtherTransactionsWithNoncontrollingInterests" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="duration"/>
  <element id="tot_CashFlowsFromUsedInIncreaseDecreaseInCurrentFinancialAssetsAndLiabilities" name="CashFlowsFromUsedInIncreaseDecreaseInCurrentFinancialAssetsAndLiabilities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="duration"/>
  <element id="tot_SharePremiumAndRetainedEarningsMember" name="SharePremiumAndRetainedEarningsMember" abstract="true" nillable="true" substitutionGroup="xbrli:item" type="types:domainItemType" xbrli:periodType="duration"/>
  <element id="tot_PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssets" name="PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssets" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="duration"/>
  <element id="tot_ProceedsFromRepaymentsOfNonCurrentBorrowings" name="ProceedsFromRepaymentsOfNonCurrentBorrowings" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="duration"/>
  <element id="tot_NumberOfTreasurySharesSold" name="NumberOfTreasurySharesSold" nillable="true" substitutionGroup="xbrli:item" type="xbrli:sharesItemType" xbrli:periodType="duration"/>
  <element id="tot_NumberOfTreasurySharesPurchased" name="NumberOfTreasurySharesPurchased" nillable="true" substitutionGroup="xbrli:item" type="xbrli:sharesItemType" xbrli:periodType="duration"/>
  <element id="tot_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossTangibleAssetsAndMineralInterests" name="DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossTangibleAssetsAndMineralInterests" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="duration"/>
  <element id="tot_OtherNonCurrentFinancialAssetsExcludingLoansAdvancesAndOtherOperationalFinancialAssets" name="OtherNonCurrentFinancialAssetsExcludingLoansAdvancesAndOtherOperationalFinancialAssets" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="instant"/>
  <element id="tot_FinanceIncomeCostCashAndCashEquivalents" name="FinanceIncomeCostCashAndCashEquivalents" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="duration"/>
  <element id="tot_Excisetax" name="Excisetax" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="duration"/>
  <element id="tot_DecreaseThroughPaymentsOnPerpetualSubordinatedNotes" name="DecreaseThroughPaymentsOnPerpetualSubordinatedNotes" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="duration"/>
</schema>